Get my information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call returns information about your account on CAVATICA.

https://cavatica-api.sbgenomics.com/v2/user

Request

Example request

GET /v2/user HTTP/1.1
Host: cavatica-api.sbgenomics.com
X-SBG-Auth-Token: 3159c50e1ac5426ea8f1273259740f74
curl -sL -H "X-SBG-Auth-Token: 6282d5e2121d43e7900e9d52b15845e7" -H "content-type: application/json" -X GET "https://cavatica--api.sbgenomics.com/v2/user"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CAVATICA authentication token.

Query parameters

NameData typeDescription
fieldsstringSelector specifying a subset of fields to include in the response.

Response

See a list of CAVATICA-specific response codes that may be contained in the body of the response.

Example response body

{
  "href": "https://cavatica-api.sbgenomics.com/v2/users/RFranklin",
  "username": "RFranklin",
  "email": "[email protected]",
  "first_name": "Rosalind",
  "last_name": "Franklin",
  "tags": [
        {
            "tag": "tcga-oa",
            "expires_at": 3053937952000
        },
        {
            "tag": "tcga-ca",
            "expires_at": 1506729600000
        }
   ],
  "affiliation": "Seven Bridges",
  "phone": "",
  "address": "",
  "city": "London",
  "state": "",
  "country": "United Kingdom",
  "zip_code": ""
}

In the response body, you can see the information about your account. If you have associated a CGC account with your CAVATICA account, you can see the type of TCGA data you can access under tags, such as tcga-oa for TCGA Open Data and tcga-ca for TCGA Controlled Data.

Query Params
fields
array of strings

Selector specifying a subset of fields to include in the response.

fields
Headers
string

Your Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json